#ifndef __DX9_DX9TEXTUREFACTORY_H__
#define __DX9_DX9TEXTUREFACTORY_H__

#include "../texturefactory.h"
#include "dx9texture.h"

class DX9TextureFactory : public TextureFactory {
	IDirect3DDevice9 *dev;

public:
	DX9TextureFactory(IDirect3DDevice9 *dev) : dev(dev) {}
	virtual ~DX9TextureFactory() {}

	// eNX`쐬
	virtual Texture *create(const Texture::Desc &desc, void* buffer) {
		DX9Texture *newTex = new DX9Texture;
		newTex->create(dev, desc, buffer);
		return newTex;
	}
};

#endif
