#ifndef __OPENGL_OPENGLTEXTURE_H__
#define __OPENGL_OPENGLTEXTURE_H__

#include "../oxsp.h"
#include "../texture.h"

class OpenGLTexture : public Texture {
	OX::sp<unsigned char> buf;		// eNX`obt@

public:
	OpenGLTexture() {}
	virtual ~OpenGLTexture() {}

	// \[X擾
	virtual const void *getResource() const { return buf.getPtr(); }

	// eNX`쐬
	void create(const Desc &desc, void *buffer) {
		this->desc = desc;
		unsigned char *newBuf = new unsigned char[desc.bufferSize];
		memcpy(newBuf, buffer, desc.bufferSize);
		buf = OX::sp<unsigned char>(newBuf);
	}
};

#endif
